# -*- coding: utf-8 -*-

from django.contrib import admin
from django_admin import ChangeOnlyModelAdmin, ReadOnlyModelAdmin

from account.models import FranchiserInfo, SaleclerkInfo, UserInfo


class UserInfoAdmin(ChangeOnlyModelAdmin, admin.ModelAdmin):
    list_display = ('user_id', 'user_from', 'username', 'openid', 'unionid', 'name', 'sex', 'nickname', 'phone', 'location', 'islensman', 'istourguide', 'balance', 'user_status', 'outtake_status', 'status', 'created_at', 'updated_at')
    list_filter = ('user_from', 'sex', 'islensman', 'istourguide', 'user_status', 'outtake_status', 'status')
    readonly_fields = ('user_id', )
    search_fields = ('user_id', 'name', 'phone', 'location')


class FranchiserInfoAdmin(admin.ModelAdmin):
    readonly_fields = ('franchiser_id', )
    list_display = ('franchiser_id', 'franchiser_name', 'franchiser_addr', 'franchiser_phone', 'franchiser_boss_name', 'franchiser_boss_phone', 'status', 'created_at', 'updated_at')
    search_fields = ('franchiser_id', 'franchiser_name', 'franchiser_addr', 'franchiser_phone', 'franchiser_boss_name', 'franchiser_boss_phone')
    list_filter = ('status', )


class SaleclerkInfoAdmin(admin.ModelAdmin):
    readonly_fields = ('franchiser_id', )
    list_display = ('franchiser_id', 'clerk_id', 'clerk_name', 'clerk_sex', 'clerk_phone', 'user_status', 'status', 'created_at', 'updated_at')
    search_fields = ('franchiser_id', 'clerk_id', 'clerk_name', 'clerk_phone')
    list_filter = ('user_status', 'status')


admin.site.register(UserInfo, UserInfoAdmin)

admin.site.register(FranchiserInfo, FranchiserInfoAdmin)
admin.site.register(SaleclerkInfo, SaleclerkInfoAdmin)
